Loading...
Searching...
No Matches
l4_msg_regs_t Union Reference
Base API » Object Invocation » Virtual Registers (UTCBs) » Message Registers (MRs)

Encapsulation of the message-register block in the UTCB. More...

`#include <utcb.h>`

Collaboration diagram for l4_msg_regs_t:

## Data Fields

l4_umword_t | mr [L4_UTCB_GENERIC_DATA_SIZE]
| Message registers.
l4_uint64_t | mr64 [L4_UTCB_GENERIC_DATA_SIZE/(sizeof(l4_uint64_t)/sizeof(l4_umword_t))]
| Message registers 64bit alias.

## Detailed Description

Encapsulation of the message-register block in the UTCB.

Examples
  examples/sys/utcb-ipc/main.c.

Definition at line 67 of file utcb.h.

The documentation for this union was generated from the following file:

- l4/sys/utcb.h